org.apache.http.nio

## Interface IOControl

- All Known Subinterfaces:
    NHttpClientConnection, NHttpClientIOTarget, NHttpConnection, NHttpServerConnection, NHttpServerIOTarget
  All Known Implementing Classes:
    DefaultNHttpClientConnection, DefaultNHttpServerConnection, NHttpConnectionBase

      public interface IOControl

  Connection input/output control interface. It can be used to control interest in I/O event notifications for non-blocking HTTP connections.

  Implementations of this interface are expected to be threading safe. Therefore it can be used to request / suspend I/O event notifications from any thread of execution.

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestInput()` Requests event notifications to be triggered when the underlying channel is ready for input operations.
    `void` | `requestOutput()` Requests event notifications to be triggered when the underlying channel is ready for output operations.
    `void` | `shutdown()` Shuts down the underlying channel.
    `void` | `suspendInput()` Suspends event notifications about the underlying channel being ready for input operations.
    `void` | `suspendOutput()` Suspends event notifications about the underlying channel being ready for output operations.

- - ### Method Detail

    - #### requestInput

          void requestInput()

      Requests event notifications to be triggered when the underlying channel is ready for input operations.

    - #### suspendInput

          void suspendInput()

      Suspends event notifications about the underlying channel being ready for input operations.

    - #### requestOutput

          void requestOutput()

      Requests event notifications to be triggered when the underlying channel is ready for output operations.

    - #### suspendOutput

          void suspendOutput()

      Suspends event notifications about the underlying channel being ready for output operations.

    - #### shutdown

          void shutdown()
                        throws IOException

      Shuts down the underlying channel.
      Throws:
        `IOException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.